Page MenuHomePhabricator

[ARM][NEON] Combine base address updates for vld1Ndup intrinsics
ClosedPublic

Authored by krisb on Jun 7 2021, 12:17 PM.

Diff Detail

Event Timeline

krisb created this revision.Jun 7 2021, 12:17 PM
krisb requested review of this revision.Jun 7 2021, 12:17 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 7 2021, 12:17 PM
dmgreen accepted this revision.Jun 9 2021, 2:08 AM

I got confused by the _fixed vs _register vs _UPD for a while, but I see that's pre-existing :)

Nice patch. Thanks for doing it. LGTM

llvm/lib/Target/ARM/ARMExpandPseudoInsts.cpp
581–582

Feel free to format this as it suggests. And maybe make a function/lambda for "is VLD2 DUP" too, if it's used below too.

This revision is now accepted and ready to land.Jun 9 2021, 2:08 AM
krisb updated this revision to Diff 351674.Jun 12 2021, 10:29 AM

Apply review comments.

krisb added a comment.Jun 13 2021, 2:17 AM

Nice patch. Thanks for doing it. LGTM

Thank you for reviewing this!

This revision was landed with ongoing or failed builds.Jun 13 2021, 2:19 AM
This revision was automatically updated to reflect the committed changes.